Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.knipp.rritoolkit.response
Class AbstractResponseVisitor

    java.lang.Object
      de.knipp.rritoolkit.response.AbstractResponseVisitor

All Implemented Interfaces:
  ResponseVisitor

    public abstract class AbstractResponseVisitor

extends java.lang.Object
implements ResponseVisitor

abstract implementation that implements the `visit` method for `Request` as an empty method and all other methods to call this method

Version:
  $Revision: 14936 $
Author:
  Klaus Malorny

Constructor Summary
`AbstractResponseVisitor()`

Method Summary
`void` | `visit(AuthInfo1CreateResponse response)` called by an AuthInfo 1 create response
`void` | `visit(AuthInfo1DeleteResponse response)` called by an AuthInfo 1 delete response
`void` | `visit(AuthInfo2CreateResponse response)` called by an AuthInfo 2 create response
`void` | `visit(ContactCheckResponse response)` called by a contact check response
`void` | `visit(ContactCreateResponse response)` called by a contact create response
`void` | `visit(ContactInfoResponse response)` called by a contact info response
`void` | `visit(ContactUpdateResponse response)` called by a contact update response
`void` | `visit(DomainChangeHolderResponse response)` called by a domain change holder response
`void` | `visit(DomainChangeProvResponse response)` called by a domain change prov response
`void` | `visit(DomainCheckResponse response)` called by a domain check response
`void` | `visit(DomainCreateResponse response)` called by a domain create response
`void` | `visit(DomainDeleteResponse response)` called by a domain delete response
`void` | `visit(DomainInfoResponse response)` called by a domain info response
`void` | `visit(DomainMigrateDescrResponse response)` called by a domain migrate description response
`void` | `visit(DomainTransitResponse response)` called by a domain transit response
`void` | `visit(DomainUpdateResponse response)` called by a domain update response
`void` | `visit(LoginResponse response)` called by a login response
`void` | `visit(LogoutResponse response)` called by a logout response
`void` | `visit(QueueDeleteResponse response)` called by queue delete response
`void` | `visit(QueueReadResponse response)` called by a queue read response
`void` | `visit(Response response)` called by a generic response

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AbstractResponseVisitor

    public AbstractResponseVisitor()

Method Detail

### visit

    public void visit(Response response)

  called by a generic response

  Specified by:
    `visit` in interface `ResponseVisitor`
  Parameters:
    `response` - the response

### visit

    public void visit(ContactCheckResponse response)

  called by a contact check response

  Specified by:
    `visit` in interface `ResponseVisitor`
  Parameters:
    `response` - the response

### visit

    public void visit(ContactCreateResponse response)

  called by a contact create response

  Specified by:
    `visit` in interface `ResponseVisitor`
  Parameters:
    `response` - the response

### visit

    public void visit(ContactInfoResponse response)

  called by a contact info response

  Specified by:
    `visit` in interface `ResponseVisitor`
  Parameters:
    `response` - the response

### visit

    public void visit(ContactUpdateResponse response)

  called by a contact update response

  Specified by:
    `visit` in interface `ResponseVisitor`
  Parameters:
    `response` - the response

### visit

    public void visit(DomainChangeHolderResponse response)

  called by a domain change holder response

  Specified by:
    `visit` in interface `ResponseVisitor`
  Parameters:
    `response` - the response

### visit

    public void visit(DomainChangeProvResponse response)

  called by a domain change prov response

  Specified by:
    `visit` in interface `ResponseVisitor`
  Parameters:
    `response` - the response

### visit

    public void visit(DomainCheckResponse response)

  called by a domain check response

  Specified by:
    `visit` in interface `ResponseVisitor`
  Parameters:
    `response` - the response

### visit

    public void visit(DomainCreateResponse response)

  called by a domain create response

  Specified by:
    `visit` in interface `ResponseVisitor`
  Parameters:
    `response` - the response

### visit

    public void visit(DomainDeleteResponse response)

  called by a domain delete response

  Specified by:
    `visit` in interface `ResponseVisitor`
  Parameters:
    `response` - the response

### visit

    public void visit(DomainInfoResponse response)

  called by a domain info response

  Specified by:
    `visit` in interface `ResponseVisitor`
  Parameters:
    `response` - the response

### visit

    public void visit(DomainTransitResponse response)

  called by a domain transit response

  Specified by:
    `visit` in interface `ResponseVisitor`
  Parameters:
    `response` - the response

### visit

    public void visit(DomainUpdateResponse response)

  called by a domain update response

  Specified by:
    `visit` in interface `ResponseVisitor`
  Parameters:
    `response` - the response

### visit

    public void visit(DomainMigrateDescrResponse response)

  called by a domain migrate description response

  Specified by:
    `visit` in interface `ResponseVisitor`
  Parameters:
    `response` - the response

### visit

    public void visit(LoginResponse response)

  called by a login response

  Specified by:
    `visit` in interface `ResponseVisitor`
  Parameters:
    `response` - the response

### visit

    public void visit(LogoutResponse response)

  called by a logout response

  Specified by:
    `visit` in interface `ResponseVisitor`
  Parameters:
    `response` - the response

### visit

    public void visit(QueueDeleteResponse response)

  called by queue delete response

  Specified by:
    `visit` in interface `ResponseVisitor`
  Parameters:
    `response` - the response

### visit

    public void visit(QueueReadResponse response)

  called by a queue read response

  Specified by:
    `visit` in interface `ResponseVisitor`
  Parameters:
    `response` - the response

### visit

    public void visit(AuthInfo1CreateResponse response)

  called by an AuthInfo 1 create response

  Specified by:
    `visit` in interface `ResponseVisitor`
  Parameters:
    `response` - the response

### visit

    public void visit(AuthInfo1DeleteResponse response)

  called by an AuthInfo 1 delete response

  Specified by:
    `visit` in interface `ResponseVisitor`
  Parameters:
    `response` - the response

### visit

    public void visit(AuthInfo2CreateResponse response)

  called by an AuthInfo 2 create response

  Specified by:
    `visit` in interface `ResponseVisitor`
  Parameters:
    `response` - the response

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005-2011 Knipp Medien und Kommunikation GmbH